from graphics import *

class YardDrawer:

    def __init__(self, win, yard):
        self.win = win
        self.yard = yard
        self.images = []
        self.spots = [ 
            Point(280,308), 
            Point(120, 720), 
            Point(60, 190), 
            Point(180, 515)]

    def draw(self):
        for image in self.images:
            image.undraw()
        self.images.clear()

        items = list(self.yard.slots.keys())
        for i in range(len(items)):
            item = items[i]
            cat = self.getCat(item)
            if cat:
                filename = f"images/{cat.getName()}-{item.getName()}.gif"
                self.loadImage(self.spots[i], filename)
            else:
                filename = f"images/Item-{item.getName()}.gif"
                self.loadImage(self.spots[i], filename)

    def loadImage(self, pos, filename):
        image = Image(pos, filename)
        image.draw(self.win)
        self.images.append(image)

    def getCat(self, item):
        """
        Return the cat playing with item. 
        Returns None if the item is not in the yard, or if no cat is using it
        """ 
        return self.yard.slots.get(item, None)
